С Новым годом! Форум программистов, компьютерный форум, киберфорум
Наши страницы

Xamarin

Войти
Регистрация
Восстановить пароль
 
VV0lk
11 / 1 / 0
Регистрация: 25.12.2011
Сообщений: 171
#1

Не открывается проект: Project does not support framework MonoAndroid,Version=v4.4 - Xamarin

14.07.2014, 10:56. Просмотров 732. Ответов 1
Метки нет (Все метки)

Здравствуйте. Писал проект, в Xamarin studio 4.0.8 (build 2), проект компилировался, отлаживался и строился. Потом я удалил версию 4.0.8 и поставил 4.10.0, попробовал в ней открыть этот проект, написала: Error while trying to load the project 'C:\...\XX.csproj': Project does not support framework 'MonoAndroid,Version=v4.4'. Удалил её, поставил обратно всё как было, но это увы не помогло! Пишет то же самое. Что делать?
0
Надоела реклама? Зарегистрируйтесь и она исчезнет полностью.
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
14.07.2014, 10:56
Здравствуйте! Я подобрал для вас темы с ответами на вопрос Не открывается проект: Project does not support framework MonoAndroid,Version=v4.4 (Xamarin):

Проясните разницу между CompatActivity, Support Library, SDK version и некоторыми другими параметрами - Программирование Android
Доброго дня. Путаюсь и не до конца понимаю смысл некоторых параметров проектов Android, типов классов, версий библиотек и других...

The project was created with a newer version of VisualStudio - как лечить? - Visual Studio
Скачал самплы с годдотнета, а при открытии возникает такая обшибка... Подозреваю что надо новую версию ставить, но вот чего именно? Неуж то...

.NET Framework version 2.0. - .NET
Для использования класса SerialPort необходимо заиметь .NET Framework version 2.0. можно ли его усовершенствовать не переустанавливая...

ppi framework version 2 - PHP
оффсайт http://www.ppi.io/, гитхаб https://github.com/ppi кто-нить щупал? выглядит любопытно, но коммунити небольшое...

Ошибка this functionality is not available in the target framework currently specified for the project - Visual Studio
Доброго времени суток. Невозможно создать новый тип. Объясните, пожалуйста, как избавиться от этой ошибки.

NET Framework, Version v4.5 не найдена. Чтобы исправить эту ошибку, установите SDK - C#
подскажите пожалуйста, скачал проект, а там ошибка: "Справочная сборка для инфраструктуры ".NETFramework,Version=v4.5" не найдена....

1
VV0lk
11 / 1 / 0
Регистрация: 25.12.2011
Сообщений: 171
16.07.2014, 11:49  [ТС] #2
В файле .csproj изменил строку <TargetFrameworkVersion>v4.4</TargetFrameworkVersion> на <TargetFrameworkVersion>v4.1</TargetFrameworkVersion> и всё открылось.
0
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
16.07.2014, 11:49
Привет! Вот еще темы с ответами:

Не открывается установщик Java Version 8 Update 121 - Java
2 раза кликаю на файл и... Ничего не происходит,я незнаю почему так,скачивал все 3 версии. Что могло произойти? ОС:Windows 8.1

Как включить .net framework в setup project ? - .NET
Приветствую вас, коллеги. Собственно весь вопрос в сабже. Сделал setup с помошью setup project, на машине без framework он (сам setup)...

Qt 5.0.2, Visual Studio 2010 и ошибка "There's no Qt version assigned to this project for platform x64" - C++ Qt
Собственно вопрос, хотел их связать, скачал: qt-windows-opensource-5.0.2-msvc2012_64-x64-offline qt-vs-addin-1.2.1-opensource ...

Исключение при запуске (Spring framework, mave project) - Java EE
День добрый. У меня проблема, когда запускаю следующий код: public static void main(String args) throws Exception { ...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
2
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.